# Generated by Django 2.2.9 on 2020-07-11 23:05

import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion
import lab_remoto.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('usuarios', '0002_remove_usuario_area'),
    ]

    operations = [
        migrations.CreateModel(
            name='Ensaio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=1000)),
                ('codigo_executavel', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='ExecucaoEnsaio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.CharField(choices=[('a', 'Aguardando parâmetros'), ('f', 'Na fila'), ('e', 'Executando'), ('p', 'Finalizado')], default='a', max_length=1)),
                ('resultado', models.CharField(choices=[('n', 'Não executado'), ('f', 'Falha'), ('s', 'Sucesso')], default='n', max_length=1)),
                ('data_inicio', models.DateTimeField(blank=True, null=True)),
                ('data_termino', models.DateTimeField(blank=True, null=True)),
                ('arquivo', models.FileField(upload_to=lab_remoto.models.Caminho('upload/dados_ensaios'))),
                ('filmar', models.BooleanField(default=False)),
                ('arquivo_video', models.FileField(upload_to=lab_remoto.models.Caminho('upload/dados_ensaios'))),
                ('ensaio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.Ensaio')),
            ],
        ),
        migrations.CreateModel(
            name='KitDidatico',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=100)),
                ('descricao', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('manual_uso', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('manual_manutencao', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('numero', models.PositiveSmallIntegerField(blank=True)),
                ('foto', models.FileField(upload_to=lab_remoto.models.Caminho('upload/kits_didaticos'))),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
                ('numero_ensaios_realizados', models.PositiveIntegerField(default=0)),
                ('agendavel', models.BooleanField(default=False)),
                ('em_manutencao', models.BooleanField(default=False)),
                ('numero_ensaios_para_manutencao', models.PositiveIntegerField(default=100)),
                ('webcam', models.CharField(blank=True, max_length=100)),
                ('comando_gravar_video', models.TextField(blank=True, null=True)),
                ('porta_serial', models.CharField(blank=True, max_length=100)),
                ('ocupado', models.BooleanField(default=False)),
                ('numero_entradas', models.PositiveSmallIntegerField(default=1)),
                ('numero_saidas', models.PositiveSmallIntegerField(default=1)),
            ],
        ),
        migrations.CreateModel(
            name='ParametroParaSerInformado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=1000)),
                ('sigla', models.CharField(max_length=100)),
                ('valor_minimo', models.FloatField(default=0.0)),
                ('valor_maximo', models.FloatField(default=0.0)),
                ('pode_ser_removido', models.BooleanField(default=True)),
                ('ensaio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.Ensaio')),
            ],
        ),
        migrations.CreateModel(
            name='ParametroInformado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('valor_informado', models.FloatField(default=0.0)),
                ('data', models.DateTimeField(auto_now_add=True)),
                ('ensaio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.Ensaio')),
                ('execucao', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.ExecucaoEnsaio')),
                ('parametro', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.ParametroParaSerInformado')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='usuarios.Usuario')),
            ],
        ),
        migrations.CreateModel(
            name='ParametroDoKit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=1000)),
                ('sigla', models.CharField(max_length=100)),
                ('valor', models.FloatField(default=0.0)),
                ('unidade', models.CharField(max_length=100)),
                ('kit', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.KitDidatico')),
            ],
        ),
        migrations.CreateModel(
            name='ManutencaoRealizada',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('laudo', ckeditor_uploader.fields.RichTextUploadingField()),
                ('data', models.DateTimeField(blank=True, null=True)),
                ('kit', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.KitDidatico')),
            ],
        ),
        migrations.AddField(
            model_name='execucaoensaio',
            name='kit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='lab_remoto.KitDidatico'),
        ),
        migrations.AddField(
            model_name='execucaoensaio',
            name='usuario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='usuarios.Usuario'),
        ),
        migrations.AddField(
            model_name='ensaio',
            name='kit',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ensaio_kit', to='lab_remoto.KitDidatico'),
        ),
        migrations.AddField(
            model_name='ensaio',
            name='professor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='usuarios.Usuario'),
        ),
    ]
